Subject: Add ViewNotFoundException
Description

As noted in a comment on https://review.typo3.org/14439 we should not use NotFoundView ourselves anymore. Thus it seems we
should add a ViewNotFoundException exception to handle that case.

Related issues:
related to TYPO3.Flow - Feature # 39423: Custom Error Renderers Resolved 2012-12-25
related to TYPO3.Flow - Feature # 40857: When template is automatically retri... Resolved 2012-09-12
related to TYPO3.Flow - Feature # 42176: Improve resolving of view Resolved 2012-10-19
related to TYPO3.Flow - Task # 43930: Remove canRender() completely?! Needs Feedback2012-12-12

Associated revisions
Revision 9f99c840 - 2012-12-10 17:26 - Bastian Waidelich

[BUGFIX] Throw ViewNotFoundException if view could not be resolved

This improves the resolving of views by removing the canRender()
checks from ActionController::resolveView as discussed in #42176.

Besides this skips the creation of the obsolete NotFoundView in favor
of throwing a ViewNotFoundException.

This also adds overdue unit tests for the ActionController.

Change-Id: I27cba20836d695e46fe355bd1e4168a6fd86eb76
Fixes: #40888
Fixes: #40857
Related: #42176
Releases: 1.2

Revision 6f03a9a4 - 2012-12-12 15:56 - Bastian Waidelich

[TASK] Remove API annotation from View::canRender()

With #40888 View::canRender() is no longer called from within
ActionController::resolveView().
As the framework no longer relies on that method to exist the
@api annotation is removed.

Besides this marks EmptyView deprecated.
Change-Id: Ia10809aed5829ee2ed2308965a0f87cfca6d182b
Related: #40888
Related: #42176
Releases: 1.2

History
#1 - 2012-10-18 15:56 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2012-12-10 16:19 - Bastian Waidelich

Unfortunately this is not as easy as it seemed..
If we throw an exception, one can't ignore the template and return content directly from an action.

This should be resolved with #42176 though.

#3 - 2012-12-10 17:27 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17072

#4 - 2012-12-11 22:45 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
